petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSectionGetClosurePermutation

Get the dof permutation for the closure of each cell in the section, meaning clPerm[newIndex] = oldIndex.

### Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetClosurePermutation(PetscSection section, PetscObject obj, IS *perm)

Not collective

### Input Parameters

| section | - The PetscSection
| obj | - A PetscObject which serves as the key for this index

### Output Parameter

perm -The dof closure permutation

Note: This strategy only works when all cells have the same size dof closure, and no closures are retrieved for other points (like faces).

The user must destroy the IS that is returned.

### See Also

PetscSectionSetClosurePermutation(), PetscSectionGetClosureInversePermutation(), PetscSectionGetClosureIndex(), PetscSectionSetClosureIndex(), DMPlexCreateClosureIndex()

### Level

intermediate

### Location

src/vec/is/section/interface/section.c
Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages